> For the complete documentation index, see [llms.txt](https://docs.toolkit.equs.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toolkit.equs.ai/api/integration-api/wallet-provider.md).

# Wallet Provider

## Get well-known Wallet Providers

> Gets the well-known configuration with the currently defined Wallet Providers.

```json
{"openapi":"3.0.0","info":{"title":"EqusDTK Integration API Documentation","version":"0.1.2"},"tags":[],"paths":{"/api/v1/.well-known/wallet-providers":{"get":{"description":"Gets the well-known configuration with the currently defined Wallet Providers.","operationId":"WalletProviderController_getConfiguration_api/v1","parameters":[],"responses":{"200":{"description":"When well-known config is fetched successfully.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GetWalletProvidersResponseItem"}}}}}},"summary":"Get well-known Wallet Providers","tags":["WalletProvider"]}}},"components":{"schemas":{"GetWalletProvidersResponseItem":{"type":"object","properties":{"id":{"type":"string","description":"Wallet provider unique ID"},"name":{"type":"string","description":"Display name of the wallet provider."},"offerWebhook":{"type":"string","description":"Webhook URL the wallet provider is notified on when an offer is created."},"offerEndpoint":{"type":"string","description":"URL of the wallet provider endpoint used to deliver credential offers."}},"required":["id","name","offerWebhook","offerEndpoint"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.toolkit.equs.ai/api/integration-api/wallet-provider.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
